README.md

Browserslist Cult Of Martians

<img width="120" height="120" alt="Browserslist logo by Anton Lovchikov" src="https://browserslist.github.io/browserslist/logo.svg" align="right">

The config to share target browsers and Node.js versions between different front-end tools. It is used in:

All tools will find target browsers automatically, when you add the following to package.json:

  "browserslist": [
    "defaults",
    "not IE 11",
    "maintained node versions"
  ]

Or in .browserslistrc config:

# Browsers that we support

defaults
not IE 11
maintained node versions

Developers set their version lists using queries like last 2 versions to be free from updating versions manually. Browserslist will use caniuse-lite with Can I Use data for this queries.

Browserslist will take queries from tool option, browserslist config, .browserslistrc config, browserslist section in package.json or environment variables.

<img src="https://evilmartians.com/badges/sponsored-by-evil-martians.svg" alt="Sponsored by Evil Martians" width="236" height="54">

Docs

Read full docs on GitHub.